import sys

from PyQt4.QtGui import QApplication

from dip.automate import Robot
from dip.ui import Form


# Every PyQt GUI application needs a QApplication.
app = QApplication(sys.argv)

# Create the model.
model = dict(name='')

# Define the view.
view = Form()

# Create an instance of the view bound to the model.
ui = view(model)

# Make the instance of the view visible.
ui.show()

# Simulate the events to set the name.
Robot.simulate('name', 'set', "Bill", delay=200)

# Show the value of the model.
print("Name:", model['name'])
